commit:     a8d1e2f5e25ee06bd21d1a22011b40ccb01c9f70
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  9 08:22:21 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Sep  9 09:21:55 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8d1e2f5

dev-ruby/asciidoctor-diagram: add 2.2.11

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/asciidoctor-diagram/Manifest              |  1 +
 .../asciidoctor-diagram-2.2.11.ebuild              | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-ruby/asciidoctor-diagram/Manifest 
b/dev-ruby/asciidoctor-diagram/Manifest
index 33c8364094f7..c3712f2db557 100644
--- a/dev-ruby/asciidoctor-diagram/Manifest
+++ b/dev-ruby/asciidoctor-diagram/Manifest
@@ -1 +1,2 @@
 DIST asciidoctor-diagram-2.0.5.tar.gz 12482984 BLAKE2B 
b0ef8596d2f2dfcf11fcbba876141aee38e8615195159f76e07b45c00b46bd85824dd6e8e9f571b396bbd9d082c5d60d4e05cdeac27719bfca53216c0d1b1816
 SHA512 
7e3bfbfb08d7389a039b1727bc173fca82e05134bebd89f3ca65d5e7860555034ff5e785c32e55ea2cc9826343456c6ecdfa15fc76f4d94858461356ab3ced71
+DIST asciidoctor-diagram-2.2.11.tar.gz 15488606 BLAKE2B 
e0080ecafafcaef72ae1ca449d4ea2d4b69b1550d62cacb514350da047952adbddc0c9f48081fe7acae7f174c6b910c297357ef57df09c0c5a379a3332eb38e8
 SHA512 
233d2940516fa28863e53b7e4f43851256fdcc83e92fc5d4eafdc2e820a8040473c89f7f01397bdb26b6c4fbd9e6fcb576156c4abd949660ade37d152c8e5e40

diff --git a/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-2.2.11.ebuild 
b/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-2.2.11.ebuild
new file mode 100644
index 000000000000..cb24f379e007
--- /dev/null
+++ b/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-2.2.11.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.adoc LICENSE.txt README.adoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A set of Asciidoctor extensions that enable you to add diagrams"
+HOMEPAGE="https://github.com/asciidoctor/asciidoctor-diagram";
+SRC_URI="https://github.com/asciidoctor/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND+=" virtual/jre"
+DEPEND+=" test? (
+       dev-texlive/texlive-latex
+       dev-texlive/texlive-latexextra
+       media-gfx/imagemagick[png,postscript]
+       media-gfx/graphviz
+       media-sound/lilypond
+       sci-visualization/gnuplot
+)"
+ruby_add_rdepend ">=dev-ruby/asciidoctor-1.5.7 <dev-ruby/asciidoctor-3"
+
+all_ruby_prepare() {
+       rm Gemfile || die
+       sed -e '/c.formatter/ s:^:#:' \
+               -e '/logger.*DEBUG/ s:^:#:' \
+               -i spec/test_helper_methods.rb || die
+
+       # Remove some diagram dependencies that contains vendored code and
+       # are currently not packaged. Please file a bug if you have a need
+       # for these diagram types.
+       sed -i -e '/\(ditaamini\|plantuml\)/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || 
die
+
+       # Avoid specs for unpackaged tools
+       rm -f 
spec/{a2s,barcode,blockdiag,bpmn,bytefield,d2,dbml,diagrams,ditaa,dpic,erd,graphviz_py,mermaid,msc,nomnoml,pikchr,plantuml,shaape,smcat,structurizr,svgbob,symbolator,syntrax,umlet,vega,wavedrom}_spec.rb
 || die
+}
+
+all_ruby_install() {
+       all_fakegem_install
+}

Reply via email to